%global module_name backports.lzma

%{?filter_setup:
%filter_provides_in %{python2_sitearch}.*\.so$
%filter_setup
}

Name:           python-backports-lzma
Version:        0.0.2
Release:        19%{?dist}
Summary:        Backport of Python 3.3's lzma module

License:        BSD
URL:            https://github.com/peterjc/backports.lzma
Source0:        https://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz
Source1:        https://raw.github.com/peterjc/backports.lzma/backports.lzma.v0.0.2/LICENSE

BuildRequires:  gcc
BuildRequires:  python2-devel
BuildRequires:  xz-devel
BuildRequires:  python2-nose
BuildRequires:  python2-test

%global _description\
This is a backport of the "lzma" module included in Python 3.3 or later by\
Nadeem Vawda and Per Oyvind Karlsen, which provides a Python wrapper for XZ\
Utils (aka LZMA Utils v2) by Igor Pavlov.\


%description %_description

%package -n python2-backports-lzma
Summary: %summary
Requires:       python2-backports
%{?python_provide:%python_provide python2-backports-lzma}

%description -n python2-backports-lzma %_description

%prep
%setup -qn %{module_name}-%{version}
cp %{SOURCE1} ./


%build
CFLAGS="%{optflags}" %{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
chmod 755 %{buildroot}%{python2_sitearch}/backports/lzma/_lzma.so
# This file is provided by python-backports
rm %{buildroot}%{python2_sitearch}/backports/__init__.py*


%check
cp build/lib*/backports/lzma/_lzma.so backports/lzma/
nosetests

 
%files -n python2-backports-lzma
%doc LICENSE
%{python2_sitearch}/*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat May 05 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.2-18
- Update Python macros to new packaging standards
  (See https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.2-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.2-15
- Python 2 binary package renamed to python2-backports-lzma
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.0.2-12
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 17 2013 Ian Weller <iweller@redhat.com> - 0.0.2-5
- Fix perms on _lzma.so, again

* Tue Aug 20 2013 Ian Weller <iweller@redhat.com> - 0.0.2-4
- Fix perms on _lzma.so
- Add LICENSE from upstream

* Tue Aug 20 2013 Ian Weller <iweller@redhat.com> - 0.0.2-3
- Actually fix check section

* Tue Aug 20 2013 Ian Weller <iweller@redhat.com> - 0.0.2-2
- BR: python-backports

* Mon Aug 19 2013 Ian Weller <iweller@redhat.com> - 0.0.2-1
- Initial package build
